import 'package:flutter/material.dart';

import '../dataOld/incomingPacket.dart';

class LoadingPacket extends StatefulWidget {
  final Widget child;
  final IncomingPacket packet;

  const LoadingPacket({Key? key, required this.child, required this.packet}) : super(key: key);

  @override
  State<LoadingPacket> createState() => _LoadingPacketState();
}

class _LoadingPacketState extends State<LoadingPacket> {
  @override
  Widget build(BuildContext context) {
    return widget.packet.isReceived ? widget.child : Center(
      child: Column(
        mainAxisAlignment: MainAxisAlignment.center,
        crossAxisAlignment: CrossAxisAlignment.center,
        children: [
          const CircularProgressIndicator(),
          Padding(padding: const EdgeInsets.all(20), child: Text("Request: '${widget.packet.packetId}'"))
        ]
      )
    );
  }
}
